unit uMessages;
{$INCLUDE 'FRename3.inc'}

interface

uses
  {$INCLUDE 'DelphiFarUnits.inc'} ;

type
  TMessages = (
    MNoLngStringDefined = -1,
    //
    MTitle = 0,
    //
    MOK,
    MCancel,
    MYes,
    MNo,
    MRetry,
    MAbort,
    MOverwrite,
    MSkip,
    MSkipAll,
    //
    MExceptionOccurredIn,
    //
    MFileListDescription,
    MFileListDescriptionShort,
    MFailedToOpenEditor,
    MFailedToLocateEditor,
    MFailedToLoadFileList,
    MSourceFileNotFound,
    MCantOverwriteDirectory,
    MFailedToRename,
    MFailedToRenameTo,
    MKeySelectDestinationFileNames,
    MKeySelectDestinationFileNamesLong,
    MKeyJumpToDestinationFileName,
    MKeyJumpToDestinationFileNameLong,
    //
    MTinyHelpOption,
    MSelectRenamedFilesOption,
    //
    MInvalidMacroParameter,
    // These must be at the end!! They are not expected to be translated
    MDummyLastString
  );

function GetMsg(MsgID: TMessages): string;

implementation

function GetMsg(MsgID: TMessages): string;
begin
  if MsgID = MNoLngStringDefined then
    Result := ''
  else
    Result := TFarPlugin.Instance.GetLangString(TIntPtr(MsgID));
end;

end.
